pangomm: Pango::LayoutRun Class Reference

pangomm 2.42.0

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Pango::LayoutRun Class Reference

A Pango::LayoutRun represents a single run within a LayoutLine. More...

`#include <pangomm/layoutrun.h>`

## Public Member Functions
| LayoutRun ()
| LayoutRun (PangoGlyphItem* gobject, bool make_a_copy=true)
| LayoutRun (const LayoutRun& other)
LayoutRun& | operator= (const LayoutRun& other)
| LayoutRun (LayoutRun&& other) noexcept
LayoutRun& | operator= (LayoutRun&& other) noexcept
| ~LayoutRun () noexcept
void | swap (LayoutRun& other) noexcept
PangoGlyphItem* | gobj ()
| Provides access to the underlying C instance. More...
const PangoGlyphItem* | gobj () const
| Provides access to the underlying C instance. More...
PangoGlyphItem* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes
PangoGlyphItem* | gobject_

## Related Functions
(Note that these are not member functions.)
void | swap (LayoutRun& lhs, LayoutRun& rhs) noexcept
Pango::LayoutRun | wrap (PangoGlyphItem* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A Pango::LayoutRun represents a single run within a LayoutLine.

It is simply an alternate name for GlyphItem.

## Constructor & Destructor Documentation

## ◆ LayoutRun() [1/4]

Pango::LayoutRun::LayoutRun | ( |  | ) |

## ◆ LayoutRun() [2/4]

Pango::LayoutRun::LayoutRun | ( | PangoGlyphItem * | gobject,
|  | bool | make_a_copy = `true`
| ) |  |
| explicit

## ◆ LayoutRun() [3/4]

Pango::LayoutRun::LayoutRun | ( | const LayoutRun& | other | ) |

## ◆ LayoutRun() [4/4]

Pango::LayoutRun::LayoutRun | ( | LayoutRun&& | other | ) |
| noexcept

## ◆ ~LayoutRun()

Pango::LayoutRun::~LayoutRun | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ get_type()

static GType Pango::LayoutRun::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

PangoGlyphItem* Pango::LayoutRun::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const PangoGlyphItem* Pango::LayoutRun::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

## ◆ gobj_copy()

PangoGlyphItem* Pango::LayoutRun::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

## ◆ operator=() [1/2]

LayoutRun& Pango::LayoutRun::operator= | ( | const LayoutRun& | other | ) |

## ◆ operator=() [2/2]

LayoutRun& Pango::LayoutRun::operator= | ( | LayoutRun&& | other | ) |
| noexcept

## ◆ swap()

void Pango::LayoutRun::swap | ( | LayoutRun& | other | ) |
| noexcept

## Friends And Related Function Documentation

## ◆ swap()

void swap | ( | LayoutRun& | lhs,
|  | LayoutRun& | rhs
| ) |  |
| related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

## ◆ wrap()

Pango::LayoutRun wrap | ( | PangoGlyphItem * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

## ◆ gobject_

PangoGlyphItem* Pango::LayoutRun::gobject_
| protected